AtteanX::Serializer::SPARQLJSON(3pm)

NAME
AtteanX::Serializer::SPARQLJSON - SPARQL Results JSON Serializer

VERSION
This document describes AtteanX::Serializer::SPARQLJSON version 0.026

SYNOPSIS
 use Attean;
 my $s = Attean->get_serializer('SPARQLJSON')->new();
 $s->serialize_iter_to_io( $fh, $iter );

DESCRIPTION
...

ATTRIBUTES

"canonical_media_type"

METHODS
"media_types"
    Returns a list of media types that identify the format produced by this serializer.

"serialize_iter_to_io( $fh, $iterator )"
    Serializes the Attean::API::Binding objects from $iterator to the IO::Handle object $fh.

"serialize_iter_to_bytes( $iterator )"
    Serializes the Attean::API::Binding objects from $iterator and returns the serialization as a UTF-8 encoded byte string.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO
<http://www.w3.org/TR/sparql11-results-json/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2019 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.